@echo off
set CMD_LINE_ARGS=%1
shift
:getArgs
if ""%1""=="""" goto doneArgs
set CMD_LINE_ARGS=%CMD_LINE_ARGS% %1
shift
goto getArgs
:doneArgs

if "%JAVA%"=="" set JAVA=java
if "%GEE_HOME%"=="" set GEE_HOME=.
set LIB=%GEE_HOME%\lib

set SEISFILE=%LIB%\seisFile-1.0.jar
set J3DCORE=%LIB%\j3dcore.jar
set J3DUTILS=%LIB%\j3dutils.jar
set VECMATH=%LIB%\vecmath.jar
set CLASSICS=%LIB%\classics-1.1.jar
set GEEMAC=%LIB%\geeMac-1.3.jar
set FISSURESUTIL=%LIB%\fissuresUtil-1.0.15.jar
set FISSURESIMPL=%LIB%\fissuresImpl-1.1.11.jar
set FISSURESIDL=%LIB%\fissuresIDL-1.0.jar
set SEEDCODEC=%LIB%\SeedCodec-1.0.jar
set TAUP=%LIB%\TauP-1.1.5.jar
set NACHOCALENDAR=%LIB%\nachocalendar-0.21_USC1.jar
set HSQLDB=%LIB%\hsqldb-1.7.3_USC1.jar
set LOG4J=%LIB%\log4j-1.2.8.jar
set OPENMAP=%LIB%\openmap-4.6.2.jar
set VMAP_PO_THINNED=%LIB%\vmap_po_thinned.jar
set DCWPO_BROWSE=%LIB%\dcwpo_browse.jar
set ITEXT=%LIB%\itext-0.99.jar
set REGISTRY=%LIB%\registry-1.1.jar
set REGISTRY_DLL=%LIB%\registry-dll-1.1.jar
set ISTI_UTIL=%LIB%\isti.util-1.0.1USC.jar
set ISTI_UTIL_TOPLEVEL=%LIB%\isti.util.toplevel-1.0USC.jar
set JDOM=%LIB%\jdom-b9.jar
set JACORB=%LIB%\JacORB-2.1_USC1.jar
set AVALON_FRAMEWORK=%LIB%\avalon-framework-4.1.5.jar
set CONCURRENT=%LIB%\concurrent-1.3.2.jar
set LOGKIT=%LIB%\logkit-1.2.jar
set STAX_API=%LIB%\stax-api-1.0.jar
set STAX=%LIB%\stax-1.1.1-dev.jar
set GEE=%LIB%\gee-2.1.4.jar

set CLASSPATH=%SEISFILE%;%J3DCORE%;%J3DUTILS%;%VECMATH%;%CLASSICS%;%GEEMAC%;%FISSURESUTIL%;%FISSURESIMPL%;%FISSURESIDL%;%SEEDCODEC%;%TAUP%;%NACHOCALENDAR%;%HSQLDB%;%LOG4J%;%OPENMAP%;%VMAP_PO_THINNED%;%DCWPO_BROWSE%;%ITEXT%;%REGISTRY%;%REGISTRY_DLL%;%ISTI_UTIL%;%ISTI_UTIL_TOPLEVEL%;%JDOM%;%JACORB%;%AVALON_FRAMEWORK%;%CONCURRENT%;%LOGKIT%;%STAX_API%;%STAX%;%GEE%


%JAVA% -Dseis.name=gee-2.1.4.profile -Xmx128m -Xrunyjpagent -Djacorb.connection.client.pending_reply_timeout=60000 -Dorg.omg.CORBA.ORBSingletonClass=org.jacorb.orb.ORBSingleton -Dorg.omg.CORBA.ORBClass=org.jacorb.orb.ORB -Djava.endorsed.dirs=%LIB%\endorsed -cp %CLASSPATH% edu.sc.seis.gee.Start %CMD_LINE_ARGS%